VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Here is a list of all class members with links to the classes they belong to:

### - k -

- kAssociatedParameterIDValid : NoteExpressionTypeInfo
- kBarPositionValid : ProcessContext
- kCanAutomate : ParameterInfo
- kChordEvent : Event
- kChordMask : Chord
- kChordValid : ProcessContext
- kClockValid : ProcessContext
- kContTimeValid : ProcessContext
- kCycleActive : ProcessContext
- kCycleValid : ProcessContext
- kDataEvent : Event
- kDefaultActive : BusInfo
- kDropRate : FrameRate
- keyNote : Chord
- keyRemapped : KeyswitchInfo
- keyswitchMax : KeyswitchInfo
- keyswitchMin : KeyswitchInfo
- kIsAbsolute : NoteExpressionTypeInfo
- kIsBipolar : NoteExpressionTypeInfo
- kIsBypass : ParameterInfo
- kIsChecked : IContextMenuItem
- kIsControlVoltage : BusInfo
- kIsDisabled : IContextMenuItem
- kIsGroupEnd : IContextMenuItem
- kIsGroupStart : IContextMenuItem
- kIsHidden : ParameterInfo
- kIsList : ParameterInfo
- kIsLive : Event
- kIsOneShot : NoteExpressionTypeInfo
- kIsProgramChange : ParameterInfo
- kIsReadOnly : ParameterInfo
- kIsSeparator : IContextMenuItem
- kIsWrapAround : ParameterInfo
- kLegacyMIDICCOutEvent : Event
- kMidiSysEx : DataEvent
- kNameSize : RepresentationInfo
- kNeedBarPositionMusic : IProcessContextRequirements
- kNeedChord : IProcessContextRequirements
- kNeedContinousTimeSamples : IProcessContextRequirements
- kNeedCycleMusic : IProcessContextRequirements
- kNeedFrameRate : IProcessContextRequirements
- kNeedProjectTimeMusic : IProcessContextRequirements
- kNeedSamplesToNextClock : IProcessContextRequirements
- kNeedSystemTime : IProcessContextRequirements
- kNeedTempo : IProcessContextRequirements
- kNeedTimeSignature : IProcessContextRequirements
- kNeedTransportState : IProcessContextRequirements
- kNoAutomation : IAutomationState
- kNoFlags : ParameterInfo
- kNoteExpressionTextEvent : Event
- kNoteExpressionValueEvent : Event
- kNoteOffEvent : Event
- kNoteOnEvent : Event
- kPlaying : ProcessContext
- kPolyPressureEvent : Event
- kProjectTimeMusicValid : ProcessContext
- kPullDownRate : FrameRate
- kReadState : IAutomationState
- kReadWriteState : IAutomationState
- kRecording : ProcessContext
- kReservedMask : Chord
- kScaleEvent : Event
- kSmpteValid : ProcessContext
- kSystemTimeValid : ProcessContext
- kTempoValid : ProcessContext
- kTimeSigValid : ProcessContext
- kUserReserved1 : Event
- kUserReserved2 : Event
- kWriteState : IAutomationState

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.